GEThttps://api.deepinfo.com/v1/easm/assets/{asset_id}/webdata-history/{history_id}

Returns one web data (page content, technologies, headers) snapshot of an asset, by the history_id returned by the list endpoint.

Authentication

Send your API key in the apikey request header.

Path Parameters

ParameterRequiredDescription
asset_idRequired
Example000000000000000ea4f90001
history_idRequired
Example00000000000000000000000ebd470001

Response Fields

FieldTypeDescription
resultobject
statusboolean
check_datestring
date-time

Response Schema

Inferred from examples Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

FieldTypeExample
resultobject
result.htmlobject
result.html.metaobject
result.html.meta.namenull
result.html.meta.languagenull
result.html.meta.language_alternativesarray
result.html.meta.keywordsarray
result.html.meta.noindex_statusbooleanfalse
result.html.meta.encodingnull
result.html.meta.canonical_urlnull
result.html.meta.titlestring"Acme"
result.html.meta.json_ldarray
result.html.meta.ogarray
result.html.internal_links_fqdnsarray
result.html.external_links_fqdnsarray
result.html.external_links_domainsarray
result.html.external_linksarray
result.html.script_linksarray
result.html.iframe_linksarray
result.html.trackersarray
result.html.emailsarray
result.html.emails_internalarray
result.html.favicon_linksarray
result.html.inspect_disabledbooleanfalse
result.html.source_codestring"Text content."
result.html.source_code_hashstring
result.html.contentstring"Text content."
result.html.content_keywordsarray<string>"acme"
result.html.content_hashstring
result.httpobject
result.http.redirection_historyarray<object>
result.http.redirection_history[].urlstring"http://www.acme.example/"
result.http.redirection_history[].status_codenumber400
result.http.cookiesarray
result.http.headersarray<object>
result.http.headers[].namestring"connection"
result.http.headers[].valuestring"close"
result.urlstring"http://www.acme.example/"
result.faviconarray
result.robots_txtnull
result.versionnumber1
result.check_datestring"2025-07-31T08:00:00.000Z"
result.connection_statusstring"success"
result.technologyobject
result.technology.stacksarray<object>
result.technology.stacks[].slugstring"acme-news"
result.technology.stacks[].namestring"Nginx"
result.technology.stacks[].confidencenumber100
result.technology.stacks[].iconstring"acme.svg"
result.technology.stacks[].websitestring"http://www.fernhill.example/"
result.technology.stacks[].cpestring"cpe:2.3:a:acme:acme-portal:1.0:*:*:…"
result.technology.stacks[].versionstring""
result.technology.stacks[].categoriesarray<string>"Web servers"
result.technology.stacks[].descriptionstring"A technology detected on the asset'…"
result.technology.stacks[].alternative_cpe_namesarray
result.technology.stacks[].clean_versionnull
result.screenshotstring"https://platform-storage.example/sc…"
statusbooleantrue
check_datestring"2025-07-31T08:00:00Z"

Examples

Selecting one loads it into the request and response panels.

Reference updated